{
  plugins.lsp = {
    enable = true;
    inlayHints = true;
    servers = {
      nixd.enable = true;
      cssls.enable = true;
      html.enable = true;
      rust-analyzer = {
        enable = true;
        installRustc = true;
        installCargo = true;
      };
      bashls.enable = true;
      clangd.enable = true;
    };
    keymaps = {
      diagnostic = {
        "<C-n>" = "goto_next";
        "<C-p>" = "goto_prev";
      };
      lspBuf = {
        "K" = "hover";
        "gD" = "references";
        "gd" = "definition";
        "gi" = "implementation";
        "gt" = "type_definition";
        "<C-,>" = "code_action";
      };
    };
  };
}
